#include <iostream>
#include<cmath>
#include<iomanip>
using namespace std;

int main()
{
	long long n;
	double A, P, Porez, Suma=0.0, Drzavna_zarada=0.0;
	cin>>n;
	double suma[n];
	double zarada[n];
	double porez[n];
	
	for (int i=0 ; i<n ; i++)
	{
		cin>>A>>P;
		zarada[i]=A;
		porez[i]=P;
		
	}
	for (int j = 0; j<n; j++)
	{
		Porez = porez[j];
		for (int k =0 ; k<n; k++)
		{
			if ( Porez <= porez[k])
			{
				Suma= Suma + zarada[k] * Porez /100.0;
			}
		}	
		suma[j] = Suma;
		Suma=0.0;
	}
	for (int l = 0 ; l<n; l++)
	{
		if (suma[l]>Drzavna_zarada)
		{
			Drzavna_zarada = suma[l];
		}
	}
	cout<<fixed<<showpoint<<setprecision(4)<<Drzavna_zarada;
	return 0;	
}